Mulgara - Bug #157

WebUI shouldn't need ; on TQL
10/17/2008 11:05 PM - Paula Gearon

Status: Closed Start date:

Priority: High Due date:

Assignee: Paula Gearon % Done: 0%
Category: Mulgara Estimated time: 0.00 hour
Target version:

Resolution: fixed

Description

In the WebUI every TQL command requires a ; character finishing it (or possibly a newline - | need to check). Also, newlines are not
treated as whitespace.

Before handing a query off to TQL we should check for the following:

e |f the text does not end in a ; then text to the end should be considered a query on its own.
¢ newline characters should be replaced with spaces.

History

#1 - 12/04/2008 11:38 PM - Paula Gearon

(In r1398) Updated WebUI with a couple of cosmetic enhancements.

® No longer require a ; at the end of a TQL query. This addresses #157

e |f the default graph is blank, then update it with the last queried graph

* A separate servlet for the tutorial. This gets the tutorial out of the way
for this majority of users as they're not using it.

#2 - 02/10/2009 12:09 AM - Paula Gearon
- Status changed from New to Closed

- Resolution set to fixed
